#lang racket
(require rackunit "util.rkt")

(define input (input-lines 1))

;; TODO try to write macro to reduce duplication
(define (solve-first lines)
  (define numbers (map string->number lines))
  (for*/first ([k (in-list numbers)]
               [m (in-list numbers)]
               #:when (= (+ k m) 2020))
    (* k m)))

(define (solve-second lines)
  (define numbers (map string->number lines))
  (for*/first ([k (in-list numbers)]
               [m (in-list numbers)]
               [v (in-list numbers)]
               #:when (= (+ k m v)  2020))
    (* k m v)))

(module+ test
  (check-equal? (solve-first (list "1721" "979" "366" "299" "675" "1456")) 514579)
  (check-equal? (solve-second (list "1721" "366" "979" "299" "675" "1456")) 241861950))
